From aec378fcc30a74f93532607ddbd1b4819a71a909 Mon Sep 17 00:00:00 2001
From: Andrew Borodin <aborodin@vmail.ru>
Date: Sat, 7 May 2011 19:05:20 +0400
Subject: [PATCH 1/2] Ticket #2129: fixed build with static GLib.

Fixed detect of statis glib and gmodule libraies.

Signed-off-by: Andrew Borodin <aborodin@vmail.ru>
---
 m4.include/ac-glib.m4 |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

diff --git a/m4.include/ac-glib.m4 b/m4.include/ac-glib.m4
index b3079ec..bdd0999 100644
--- a/m4.include/ac-glib.m4
+++ b/m4.include/ac-glib.m4
@@ -47,6 +47,7 @@ AC_DEFUN([AC_G_MODULE_SUPPORTED], [
     dnl Try to find static libraries for glib and gmodule.
     dnl
     if test x$with_glib_static = xyes; then
+        GLIB_LIBDIR=`pkg-config --variable=libdir glib-2.0`
         new_GLIB_LIBS=
         for i in $GLIB_LIBS; do
             case x$i in
-- 
1.7.5.2

